﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// https://www.alldaq.com
//
// Purpose:
//       This file is part of the AIReadContinuous project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

using System.ComponentModel;
using System.Windows.Forms;

namespace AIReadContinuous.Utility
{
    //https://support.microsoft.com/en-gb/help/320344/how-to-use-a-combobox-control-to-edit-data-in-a-listview-control-in-vi
    //"How to use a ComboBox control to edit data in a ListView control in Visual C#"
    public class ListViewWithComboBox : ListView
    {
        /// <summary>
        /// Required designer variable.
        /// </summary>
        private Container components;
        private const int WM_HSCROLL = 0x114;
        private const int WM_VSCROLL = 0x115;
        private const int WM_MOUSEWHEEL = 0x20A;

        public ListViewWithComboBox()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Required method for Designer support - do not modify 
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            components = new Container();
        }

        protected override void WndProc(ref Message msg)
        {
            // Look for the WM_VSCROLL or the WM_HSCROLL messages.
            if ((msg.Msg == WM_VSCROLL) || (msg.Msg == WM_HSCROLL) || msg.Msg == WM_MOUSEWHEEL)
            {
                // Move focus to the ListView to cause ComboBox to lose focus.
                Focus();
            }

            // Pass message to default handler.
            base.WndProc(ref msg);
        }

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                if (components != null)
                    components.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}
