﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// https://www.alldaq.com
//
// Purpose:
//      This file contains a programming example for Intel 82C54 ICs
//      used on ALLDAQ Data Acquisition Boards
//-----------------------------------------------------------------------------

using System.Windows.Forms;

namespace Counter8254
{
    public class CounterUI
    {
        public GroupBox GrpBoxModuleNumber { get; set; }
        public ComboBox CoBoxCounterMode { get; set; }
        public ComboBox CoBoxClockSource { get; set; }
        public ComboBox CoBoxStartValue { get; set; }
        public TextBox TxtBoxCounterValue { get; set; }
        public Button ButtonSetConfig { get; set; }
        public Button ButtonRead { get; set; }
        public Button ButtonReset { get; set; }
        public Button ButtonReadInInterval { get; set; }
        public Button ButtonStop { get; set; }

        public void EnableUI(bool enable)
        {
            CoBoxCounterMode.Enabled = enable;
            CoBoxClockSource.Enabled = enable;
            CoBoxStartValue.Enabled = enable;
            TxtBoxCounterValue.Enabled = enable;
            ButtonSetConfig.Enabled = enable;
            ButtonRead.Enabled = enable;
            ButtonReset.Enabled = enable;
            ButtonReadInInterval.Enabled = enable;
            ButtonStop.Enabled = enable;
        }
    }
}
