﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// https://www.alldaq.com
//
// Purpose:
//       This file is part of the Interrupt project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

using System.Collections.Generic;
using System.ComponentModel;

namespace Interrupt.ViewModels
{
    public class ErrorInfoViewModelBase : ViewModelBase, IDataErrorInfo
    {
        protected Dictionary<string, string> _errorInfo = new Dictionary<string, string>();

        public virtual bool IsInputValid()
        {
            return _errorInfo.Count == 0;
        }

        public string Error => "ViewModel.Error";

        public string this[string propertyName]
        {
            get
            {
                return _errorInfo.ContainsKey(propertyName) ? _errorInfo[propertyName] : null;
            }
        }
    }
}
