﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// http://www.alldaq.com
//
// Purpose:
//       This file is part of the WriteBufferAO project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

using System;

namespace WriteBufferAO.Models
{
    public class SawtoothFallingWaveGenerator : ISignalGenerator
    {
        public string GeneratorIcon
        {
            get
            {
                return "/WriteBufferAO;component/Images/signalSawtoothFalling.png";
            }
        }

        public string GeneratorName
        {
            get
            {
                return "Saw-tooth falling";
            }
        }

        public double GetValue(double cycleTime, double signalMinimum, double signalMaximum)
        {
            return signalMaximum - (signalMaximum - signalMinimum) * cycleTime;
        }
    }
}
