﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// http://www.alldaq.com
//
// Purpose:
//       This file is part of the WriteBufferAO project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

using System;

namespace WriteBufferAO.Models
{
    public class SquareWaveGenerator : ISignalGenerator
    {
        public string GeneratorIcon
        {
            get
            {
                return "/WriteBufferAO;component/Images/signalSquare.png";
            }
        }

        public string GeneratorName
        {
            get
            {
                return "Square";
            }
        }

        public double GetValue(double cycleTime, double signalMinimum, double signalMaximum)
        {
            double value;
            if (cycleTime <= 0.5)
            {
                value = signalMinimum;
            }
            else
            {
                value = signalMaximum;
            }
            return value;
        }
    }
}
