﻿//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// http://www.alldaq.com
//
// Purpose:
//       This file is part of the WriteBufferAO project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

using System;

namespace WriteBufferAO.Models
{
    public class WhiteNoiseSignalGenerator : ISignalGenerator
    {
        private readonly Random _random = new Random();

        public string GeneratorIcon
        {
            get
            {
                return "/WriteBufferAO;component/Images/signalWhiteNoise.png";
            }
        }

        public string GeneratorName
        {
            get
            {
                return "White noise";
            }
        }

        public double GetValue(double cycleTime, double signalMinimum, double signalMaximum)
        {
            return _random.NextDouble() * (signalMaximum - signalMinimum) + signalMinimum;
        }
    }
}
