﻿'-----------------------------------------------------------------------------
' ALLDAQ, a division of ALLNET GmbH
' https://www.alldaq.com
'
' Purpose:
'       This file Is part of the AIReadContinuous project of the ALLDAQ-SDK.  
'       It shows the usage of the API functions to access
'       ALLDAQ Data Acquisition Boards
' 
'-----------------------------------------------------------------------------

'https://support.microsoft.com/EN-US/help/320342
'How to use a ComboBox control to edit data in a ListView control in Visual Basic 2005 or in Visual Basic .NET
Imports System.ComponentModel

Public Class ListViewWithComboBox
    Inherits ListView

    'Required by the Windows Form Designer
    Private components As IContainer
    Private Const WM_HSCROLL As Integer = &H114
    Private Const WM_VSCROLL As Integer = &H115
    Private Const WM_MOUSEWHEEL As Integer = &H20A

    Public Sub New()
        MyBase.New()
        'This call is required by the Windows Form Designer.
        InitializeComponent()
    End Sub

    Private Sub InitializeComponent()
        components = New Container()
    End Sub

    Protected Overrides Sub WndProc(ByRef msg As Message)
        ' Look for the WM_VSCROLL or the WM_HSCROLL messages.
        If ((msg.Msg = WM_VSCROLL) OrElse (msg.Msg = WM_HSCROLL) OrElse (msg.Msg = WM_MOUSEWHEEL)) Then
            ' Move focus to the ListView to cause ComboBox to lose focus.
            Focus()
        End If

        ' Pass message to default handler.
        MyBase.WndProc(msg)
    End Sub

    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub
End Class
