﻿'-----------------------------------------------------------------------------
' ALLDAQ, a division of ALLNET GmbH
' https://www.alldaq.com
'
' Purpose:
'       This file Is part of the Interrupt project of the ALLDAQ-SDK.  
'       It shows the usage of the API functions to access
'       ALLDAQ Data Acquisition Boards
' 
'-----------------------------------------------------------------------------

Public Class PortStatusItemViewModel
    Inherits ViewModelBase

    Public Sub New(bitNumber As Integer, statusErrorEnabled As Boolean, faultRecoveryEnabled As Boolean)
        Me.BitNumber = bitNumber
        BinaryValue = CUInt(1 << bitNumber)
        StatusErrorSupported = statusErrorEnabled
        FaultRecoverySupported = faultRecoveryEnabled
    End Sub

    Public ReadOnly Property BitNumber As Integer
    Public ReadOnly Property BinaryValue As UInteger
    Public ReadOnly Property StatusErrorSupported As Boolean
    Public ReadOnly Property FaultRecoverySupported As Boolean

    Private _bitStatusError As Boolean
    Public Property BitStatusError As Boolean
        Get
            Return _bitStatusError
        End Get
        Set
            If _bitStatusError <> Value Then
                _bitStatusError = Value
                NotifyPropertyChanged(NameOf(BitStatusError))
            End If
        End Set
    End Property

    Private _bitFaultRecovery As Boolean
    Public Property BitFaultRecovery As Boolean
        Get
            Return _bitFaultRecovery
        End Get
        Set
            If _bitFaultRecovery <> Value Then
                _bitFaultRecovery = Value
                NotifyPropertyChanged(NameOf(BitFaultRecovery))
            End If
        End Set
    End Property
End Class
