﻿'-----------------------------------------------------------------------------
' ALLDAQ, a division of ALLNET GmbH
' https://www.alldaq.com
'
' Purpose:
'       This file Is part of the ReadBuffer project of the ALLDAQ-SDK.  
'       It shows the usage of the API functions to access
'       ALLDAQ Data Acquisition Boards
' 
'-----------------------------------------------------------------------------

Public Interface IInputModule
    ReadOnly Property ModelName As String
    ReadOnly Property BoardIndex As UInteger
    ReadOnly Property ModuleIndex As UInteger
    ReadOnly Property ModuleType As UInteger
    ReadOnly Property ClockType As UInteger
    ReadOnly Property MaxfrequencyHz As Double
    Property DesiredSampleFrequency As Double
    ReadOnly Property ActualSampleFrequency As Double
    ReadOnly Property SampleTime As Double
    ReadOnly Property ModuleName As String
    Property AdqError As UInteger
    Property NumberOfValues As UInteger
    ReadOnly Property NumberOfValuesRead As UInteger
    ReadOnly Property Values As UInteger()

    Event ModuleInfoTextChanged(ByVal Sender As Object, ByVal e As InfoTextChangedEventArgs)
    Sub ValidateConfigurationValues()
    Function GetSecondsToWait() As Double
    Function GetModuleStatus(ByRef isRunning As Boolean) As UInteger
    Function StopAcquisition() As UInteger
    Function Reset() As UInteger
    Sub InitValueBuffer()
    Function SetSampleFrequency() As UInteger
    Sub ReadValuesFromModule()
    Sub ClearValueBuffer()
End Interface

