﻿'-----------------------------------------------------------------------------
' ALLDAQ, a division of ALLNET GmbH
' https://www.alldaq.com
'
' Purpose:
'       This file Is part of the WriteBufferAO project of the ALLDAQ-SDK.  
'       It shows the usage of the API functions to access
'       ALLDAQ Data Acquisition Boards
' 
'-----------------------------------------------------------------------------

Class MainWindow

    Public Sub New()
        InitializeComponent()
        DataContext = New MainViewModel()
    End Sub

    Private Sub BtnAbout_Click(sender As Object, e As RoutedEventArgs)
        Dim aboutBox = New AboutBox(Me)
        aboutBox.ShowDialog()
    End Sub

    Private Sub TextBox_TextChanged(sender As Object, e As TextChangedEventArgs)
        If (TypeOf sender Is TextBox) Then
            TextBoxScrollToEnd(CType(sender, TextBox))
        End If
    End Sub

    Private Sub TextBoxScrollToEnd(txtBox As TextBox)
        ' https://stackoverflow.com/questions/8938775/multiline-textbox-with-automatic-vertical-scroll
        Dim oldFocusedElement = FocusManager.GetFocusedElement(Me)
        txtBox.Focus()
        txtBox.CaretIndex = txtBox.Text.Length
        txtBox.ScrollToEnd()
        FocusManager.SetFocusedElement(Me, oldFocusedElement)
    End Sub
End Class
