﻿'-----------------------------------------------------------------------------
' ALLDAQ, a division of ALLNET GmbH
' https://www.alldaq.com
'
' Purpose:
'       This file Is part of the WriteBufferAO project of the ALLDAQ-SDK.  
'       It shows the usage of the API functions to access
'       ALLDAQ Data Acquisition Boards
' 
'-----------------------------------------------------------------------------

Imports WriteBufferAO.ALLDAQ.Boards

Public Class AdqAoBoard
    Public Sub New(boardIndex As UInteger, ByRef boardInfo As AdqDriver.ADQBoardInfo)
        Me.BoardIndex = boardIndex
        BoardName = boardInfo.BoardName
        ModelName = AdqCommon.GetModelName(BoardName)
        BoardDisplayName = ModelName & ", Board " & Me.BoardIndex.ToString()
        AoModules = New List(Of AoModule)()
    End Sub
    Public ReadOnly Property BoardIndex As UInteger
    Public ReadOnly Property BoardName As String
    Public ReadOnly Property BoardDisplayName As String
    Public ReadOnly Property ModelName As String

    Public Sub AddModule(aoModule As AoModule)
        AoModules.Add(aoModule)
    End Sub
    Public ReadOnly Property AoModules As List(Of AoModule)
End Class
