//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// https://www.alldaq.com
//
// Purpose:
//       This file is part of the adqWriteContinuousCallback project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

#pragma once

#include <string>

#include "ISignalGenerator.h"

class SineWaveGenerator : public ISignalGenerator
{
private:
    const double TwoPi = (2.0 * 3.14159265358979323846);
public:
    SineWaveGenerator();
    virtual ~SineWaveGenerator();
    virtual std::wstring GetGeneratorName();
    virtual double GetValue(double cycleTime, double signalMaximum);
};

