//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// https://www.alldaq.com
//
// Purpose:
//       This file is part of the adqWriteContinuousWithoutCallback project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

#pragma once

#include <string>

namespace ALLDAQ
{
    std::wstring FormatPhysicalValue(double physicalValue, const std::wstring &unitSymbol);
    std::wstring FormatDoubleValue(double physicalValue, std::streamsize precision = 8);
    std::wstring GetPhysicalUnitSymbol(unsigned int physicalUnit);
    std::wstring GetModelName(const std::wstring &boardName);
}
