//-----------------------------------------------------------------------------
// ALLDAQ, a division of ALLNET GmbH
// https://www.alldaq.com
//
// Purpose:
//       This file is part of the adqWriteContinuousWithoutCallback project of the ALLDAQ-SDK.  
//       It shows the usage of the API functions to access
//       ALLDAQ Data Acquisition Boards
// 
//-----------------------------------------------------------------------------

#pragma once

#include "ISignalGenerator.h"

#include <memory>

class WaveForm
{
public:
    WaveForm();
    virtual ~WaveForm();
    void InitWaveForm(double outputFrequency, double* physicalValues, unsigned int numberOfValues, double rangePhysicalMin, double rangePhysicalMax);
    void ApplySignalGenerator(std::shared_ptr<ISignalGenerator> & signalGenerator, double signalFrequency, double signalPhysicalMax);
private:
    double m_outputFrequency;
    double* m_physicalValues;
    unsigned int m_numberOfValues;
    double m_rangePhysicalMin;
    double m_rangePhysicalMax;
};

